Bug 830187 - Package auto suggest shows packages of other organization's repositories.
Package auto suggest shows packages of other organization's repositories.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity medium (vote)
: Unspecified
: 6.0
Assigned To: Justin Sherrill
Hayk Hovsepyan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 09:37 EDT by Hayk Hovsepyan
Modified: 2014-09-18 12:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-16 08:59:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of auto suggest and CLI. (220.66 KB, image/png)
2012-06-08 09:37 EDT, Hayk Hovsepyan
no flags Details

  None (edit)
Description Hayk Hovsepyan 2012-06-08 09:37:24 EDT
Created attachment 590438 [details]
Screenshot of auto suggest and CLI.

Description of problem:

Package auto suggest shows packages of other organization's repositories when you try to add package on a template of organization which has no rerositories.

Version-Release number of selected component (if applicable):
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
pulp-selinux-server-1.0.4-1.el6.noarch
katello-selinux-0.1.10-1.el6.noarch
katello-all-0.1.313-1.el6_3.noarch
katello-cli-common-0.1.108-1.el6_3.noarch
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-glue-foreman-0.1.313-1.el6_3.noarch
katello-configure-0.1.109-1.el6_3.noarch
katello-qpid-client-key-pair-1.0-1.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
python-qpid-0.14-7.el6_2.noarch
python-isodate-0.4.4-4.pulp.el6.noarch
katello-cli-0.1.108-1.el6_3.noarch
pulp-common-1.0.4-1.el6.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
candlepin-tomcat6-0.6.5-1.el6_2.noarch
katello-glue-candlepin-0.1.313-1.el6_3.noarch
katello-0.1.313-1.el6_3.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
python-oauth2-1.5.170-2.pulp.el6.noarch
katello-certs-tools-1.0.7-1.el6_3.noarch
candlepin-0.6.5-1.el6_2.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
pulp-1.0.4-1.el6.noarch
katello-common-0.1.313-1.el6_3.noarch
katello-glue-pulp-0.1.313-1.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64


How reproducible:
always

Steps to Reproduce:
1. Make sure you already have created organization, provider, product, valid and synchronized repository (for example "http://inecas.fedorapeople.org/fakerepos/zoo3/")
2. In that organization, go to Content Management > System Templates and add a New Template.
3. Select just created template and try to add package there. You will se that when you type for example "lion" in package name input box, it suggests "lion", which is correct. You can try to add package groups as well, by typing "birds" in input field and see the suggested package group "birds", which is correct as well.
4. Now create a new organization.
5. Go to that organization and in Content Management > System Templates add a New Template.
6. Select that just created template and try to add package there.
7. As this new created organization does not have repository, it supposes that there should not be any package there. But when you type something in the name input box of adding new package (for example "lion"), it will suggest package "lion", which is wrong. THIS IS THE ISSUE.
8. But when you try to add new package group to that template, it will not suggest anything. This is correct.

In any case it will not add that package to template when you try to save, and will show an exception. In CLI also it will show exception.
  
Actual results:
As described in step 7, it suggests packages when you type in package name input box.

Expected results:
There should not be any suggestions for packages, package groups and repositories, when you try to add packages, package groups or repositories to templates which organization has not repository.

Additional info:
When adding some valid repo to last create organization (for example http://repos.fedorapeople.org/repos/pulp/pulp/v1/testing/fedora-15/x86_64/), auto suggest shows packages of this repo plus packages of repos of other organizations.
Please find screenshot of menioned auto suggest and CLI error when adding wrong package to template.
Comment 2 Justin Sherrill 2012-12-18 13:24:09 EST
confirmed, this should be fixed in Pulpv2 branch.
Comment 3 Hayk Hovsepyan 2013-05-16 08:59:23 EDT
As "System Templates" are already removed from Katello, this but is already not actual.

Note You need to log in before you can comment on or make changes to this bug.